## edu.cwru.SimpleRTS.model
Class SimplePlannerTest

    java.lang.Object
      edu.cwru.SimpleRTS.model.SimplePlannerTest

    public class SimplePlannerTest

extends java.lang.Object

Constructor Summary
`SimplePlannerTest()`

Method Summary
`static void` `loadTemplates()`
`void` `setUp()`
`void` `testPlanAndExecuteMove()`
`void` `testPlanAndExecuteMoveObstructed()`
`void` `testPlanFollowsShortestPath()`
`void` `testPlanMove()`
`void` `testPlanMoveObstructed()`
`void` `testProduceUnit()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimplePlannerTest

    public SimplePlannerTest()

Method Detail

### loadTemplates

    public static void loadTemplates()
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setUp

    public void setUp()
               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testPlanMove

    public void testPlanMove()

### testPlanAndExecuteMove

    public void testPlanAndExecuteMove()

### testPlanMoveObstructed

    public void testPlanMoveObstructed()

### testPlanAndExecuteMoveObstructed

    public void testPlanAndExecuteMoveObstructed()

### testPlanFollowsShortestPath

    public void testPlanFollowsShortestPath()

### testProduceUnit

    public void testProduceUnit()